> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/private-networks/monogoto-edge/edge-api/get-capture-edge-signalling.md).

# Get Capture Edge Signalling

## Download the Edge Signaling PCAP file based on Start time, End time, and RAT.

> Returns the Edge Signaling PCAP file based on the provided Start Time, End Time, and RAT. This endpoint captures network traffic at the edge level.

```json
{"openapi":"3.0.0","info":{"title":"Monogoto Edge User API Configuration","version":"2.0"},"servers":[{"url":"https://api.monogoto.io/api"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"parameters":{"edgeIp":{"name":"edgeIp","in":"path","required":true,"schema":{"type":"string","enum":["Monogoto Edge IP"]},"description":"The IP address of the edge"}},"schemas":{"PcapError":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}},"responses":{"InternalServerError":{"description":"Pod deleted.Server Error","content":{"application/json":{"schema":{"type":"object"}}}}}},"paths":{"/v1/edge/{edgeIp}/edgepcap":{"get":{"tags":["Capture Signaling"],"summary":"Download the Edge Signaling PCAP file based on Start time, End time, and RAT.","description":"Returns the Edge Signaling PCAP file based on the provided Start Time, End Time, and RAT. This endpoint captures network traffic at the edge level.","operationId":"downloadEdgePcap","parameters":[{"$ref":"#/components/parameters/edgeIp"},{"in":"query","name":"starttime","required":true,"schema":{"type":"string","format":"date-time"},"description":"Start time in ISO 8601 format (e.g., 2030-01-01 00:00:00)."},{"in":"query","name":"endtime","required":true,"schema":{"type":"string","format":"date-time"},"description":"End time in ISO 8601 format (e.g., 2030-01-01 00:00:00)."},{"in":"query","name":"rat","required":true,"schema":{"type":"string","enum":["4G","5G","Both"]},"description":"Filter by RAT (Radio Access Technology). Possible values 4G, 5G, Both."}],"responses":{"200":{"description":"Edge PCAP file successfully downloaded","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Invalid input parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PcapError"}}}},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/private-networks/monogoto-edge/edge-api/get-capture-edge-signalling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
